Summary:        Bean Scripting Framework
Name:           bsf
Version:        2.4.0
Release:        2%{?dist}
License:        ASL 2.0
URL:            http://commons.apache.org/bsf/
Source0:        http://apache.mirror.anlx.net//commons/%{name}/source/%{name}-src-%{version}.tar.gz
Source1:        %{name}-pom.xml
Patch3000:      build-file.patch
Patch3001:      build.properties.patch

BuildRequires:  javapackages-local, ant
BuildRequires:  apache-parent, xalan-j2, apache-commons-logging

BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

%description
Bean Scripting Framework (BSF) is a set of Java classes which provides 
scripting language support within Java applications, and access to Java 
objects and methods from scripting languages. BSF allows one to write JSPs in 
languages other than Java while providing access to the Java class library. 
In addition, BSF permits any Java application to be implemented in part (or 
dynamically extended) by a language that is embedded within it. This is 
achieved by providing an API that permits calling scripting language engines 
from within Java, as well as an object registry that exposes Java objects to 
these scripting language engines. 



%prep
%autosetup -p1
find -name \*.jar -delete

%mvn_file : %{name}
%mvn_alias : org.apache.bsf:



%build
export CLASSPATH=$(build-classpath apache-commons-logging xalan-j2)
ant -Dsource.level=1.7 -Dant.build.javac.target=1.7 jar

%mvn_artifact %{SOURCE1} build/lib/%{name}.jar



%install
%mvn_install



%files -f .mfiles
%license LICENSE.txt NOTICE.txt
%doc AUTHORS.txt CHANGES.txt README.txt TODO.txt RELEASE-NOTE.txt



%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 21 2023 Zhao Zhen <jeremiazhao@tencent.com> - 2.4.0-1
- initial
